Create a staff member product rate
Body·
required
application/json
Fields accepted when creating a staff member product rate. Unknown or read-only fields are rejected.
- Type: string | nullFormat: uuidproduct
Id requiredReferences products.id.
- Type: string | nullFormat: uuidstaff
Member Id requiredReferences staffMembers.id.
- Type: number | nulladdon
Amount - Type: number | nullfriday
Sunday Modifier - Type: number | nullsaturday
Modifier - Type: number | nullstandalone
Amount - Type: string | nullstatus
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/staff-member-product-rates
curl https://api.weddingoperatingsystems.com/api/v1/staff-member-product-rates \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"staffMemberId": null,
"productId": null,
"standaloneAmount": null,
"addonAmount": null,
"saturdayModifier": null,
"fridaySundayModifier": null,
"status": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"staffMemberId": null,
"productId": null,
"standaloneAmount": null,
"addonAmount": null,
"saturdayModifier": null,
"fridaySundayModifier": null,
"status": null,
"createdTime": "2026-09-30T06:22:05.745Z",
"lastEditedTime": "2026-09-30T06:22:05.745Z"
}
}